import { type Config } from '@pnpm/config';
import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
type LinkOpts = CreateStoreControllerOptions & Pick<Config, 'bin' | 'cliOptions' | 'engineStrict' | 'saveDev' | 'saveOptional' | 'saveProd' | 'workspaceDir' | 'sharedWorkspaceLockfile'> & Partial<Pick<Config, 'linkWorkspacePackages'>>;
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): Pick<any, never>;
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: LinkOpts, params?: string[]): Promise<void>;
export {};
